Tracks

Tracks are individual audio files within collections. Manage track metadata, uploads, playback information, and deletion.

GET /v1/track/:track_id

Returns details about a specific track

Parameters

Name Type Required Description
track_id uuid Required The ID of the track to retrieve (path parameter)

Example Request

curl -X GET "https://api.audiodelivery.net/v1/track/TRACK_ID" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

{
  "ok": true,
  "api_request_id": "uuid",
  "track_id": "uuid",
  "track": {
    "id": "uuid",
    "organization_id": "uuid",
    "collection_id": "uuid",
    "creator_id": "uuid | null",
    "index": "string",
    "duration": 0,
    "file_name": "string",
    "file_name_original": "string | null",
    "info": {},
    "organization_index": "string | null",
    "order": 0,
    "metadata": {},
    "player_title": "string | null",
    "player_subtitle": "string | null",
    "player_color": "string | null",
    "image_colors": [],
    "track_status_id": "string"
  }
}
GET /v1/collection/:collection_id/track

Returns a list of tracks in a collection

Parameters

Name Type Required Description
collection_id uuid Required The ID of the collection (path parameter)
limit number Optional Maximum number of tracks to return
offset number Optional Number of tracks to skip

Response

{
  "ok": true,
  "api_request_id": "uuid",
  "count": 0,
  "tracks": [
    {
      "id": "uuid",
      "organization_id": "uuid",
      "collection_id": "uuid",
      "index": "string",
      "duration": 0,
      "file_name": "string",
      "order": 0,
      "metadata": {},
      "player_title": "string | null",
      "player_subtitle": "string | null",
      "player_color": "string | null",
      "image_colors": [],
      "track_status_id": "string"
    }
  ]
}
POST /v1/track

Creates a new track

Parameters

Name Type Required Description
collection_id uuid Required ID of the collection this track belongs to
file_name string Required Original filename of the track
creator_id uuid Optional ID of the creator
organization_index string Optional Organization Identifier for the track
metadata object Optional Organization metadata for the track
is_cover_overridable boolean Optional Whether track cover can be overridden
is_theme_overridable boolean Optional Whether track image colors can be overridden
player_title string Optional Title to display in the player
player_subtitle string Optional Subtitle to display in the player
player_color string Optional Color to use in the player (hex)

Example Request

curl -X POST "https://api.audiodelivery.net/v1/track" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"collection_id": "COLLECTION_ID", "file_name": "my-audio-track.mp3", "player_title": "Track Title"}'

Response

{
  "ok": true,
  "api_request_id": "uuid",
  "track_id": "uuid",
  "track": {
    "id": "uuid",
    "organization_id": "uuid",
    "collection_id": "uuid",
    "index": "string",
    "duration": 0,
    "file_name": "string",
    "order": 0,
    "metadata": {},
    "player_title": "string | null",
    "player_subtitle": "string | null",
    "player_color": "string | null",
    "image_colors": [],
    "track_status_id": "string"
  },
  "track_upload": {
    "method": "PUT",
    "upload_url": "string",
    "ttl": 3600,
    "expires_at": "string"
  },
  "track_cover_upload": {
    "method": "POST",
    "upload_url": "string",
    "ttl": 3600,
    "expires_at": "string"
  }
}
PUT /v1/track/:track_id

Updates an existing track

Parameters

Name Type Required Description
track_id uuid Required The ID of the track to update (path parameter)
creator_id uuid Optional ID of the creator
organization_index string Optional Organization Identifier for the track
title string Optional Title of the track
metadata object Optional Organization metadata
is_cover_overridable boolean Optional Whether track cover can be overridden
is_theme_overridable boolean Optional Whether track image colors can be overridden
player_title string Optional Title to display in the player
player_subtitle string Optional Subtitle to display in the player
player_color string Optional Color to use in the player (hex)

Response

{
  "ok": true,
  "api_request_id": "uuid",
  "track_id": "uuid",
  "track": {
    "id": "uuid",
    "organization_id": "uuid",
    "collection_id": "uuid",
    "index": "string",
    "duration": 0,
    "file_name": "string",
    "order": 0,
    "metadata": {},
    "player_title": "string | null",
    "player_subtitle": "string | null",
    "player_color": "string | null",
    "image_colors": [],
    "track_status_id": "string"
  }
}
DELETE /v1/track/:track_id

Deletes a track

Parameters

Name Type Required Description
track_id uuid Required The ID of the track to delete (path parameter)

Example Request

curl -X DELETE "https://api.audiodelivery.net/v1/track/TRACK_ID" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

{
  "ok": true,
  "api_request_id": "uuid",
  "track_id": "uuid",
  "deleted_track": {
    "id": "uuid",
    "organization_id": "uuid",
    "collection_id": "uuid",
    "index": "string",
    "duration": 0,
    "file_name": "string",
    "order": 0,
    "metadata": {},
    "player_title": "string | null",
    "player_subtitle": "string | null",
    "player_color": "string | null",
    "image_colors": [],
    "track_status_id": "string"
  }
}